Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 104120 - Upgrade to 5.5.7 (bug fixes, pkg requirements)
Summary: Upgrade to 5.5.7 (bug fixes, pkg requirements)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: EasyFix-Tracker
TreeView+ depends on / blocked
 
Reported: 2003-09-10 07:39 UTC by Nils Philippsen
Modified: 2013-04-02 04:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-02-13 22:24:20 UTC


Attachments (Terms of Use)
spec file for 5.5.7 patchlevel 10 (deleted)
2003-09-10 07:43 UTC, Nils Philippsen
no flags Details
ImageMagick-5.5.7-stdin.patch (deleted)
2003-09-10 07:44 UTC, Nils Philippsen
no flags Details | Diff
ImageMagick-5.5.7-automake.patch (deleted)
2003-09-10 07:45 UTC, Nils Philippsen
no flags Details | Diff
fixed spec file (deleted)
2003-09-10 15:05 UTC, Nils Philippsen
no flags Details

Description Nils Philippsen 2003-09-10 07:39:41 UTC
Many bugs have been fixed in 5.5.7 (see
http://www.imagemagick.org/www/Changelog.html) and some apps require 5.5.7 for
compilation (e.g. rss-glx).

Comment 1 Nils Philippsen 2003-09-10 07:43:41 UTC
Created attachment 94362 [details]
spec file for 5.5.7 patchlevel 10

Comment 2 Nils Philippsen 2003-09-10 07:44:24 UTC
Created attachment 94363 [details]
ImageMagick-5.5.7-stdin.patch

Comment 3 Nils Philippsen 2003-09-10 07:45:04 UTC
Created attachment 94364 [details]
ImageMagick-5.5.7-automake.patch

Comment 5 Nils Philippsen 2003-09-10 13:13:59 UTC
Attn: attached spec file will produce libMagick++ linked against old libMagick,
will try to work around libtool/automake/autoconf weirdness...

Comment 6 Nils Philippsen 2003-09-10 15:05:51 UTC
Created attachment 94372 [details]
fixed spec file

This spec file works around a stupid libtool bug that relinks libMagick++
against the installed /usr/lib/libMagick library while installing instead of
against the libarary in the buildroot. The automake patch isn't necessary
anymore as we ship automake-1.7 (and ImageMagick requires it anyway).

Comment 7 Nils Philippsen 2003-09-10 15:12:35 UTC
Comment on attachment 94372 [details]
fixed spec file

This spec file works around a stupid libtool bug that relinks libMagick++
against the installed /usr/lib/libMagick  library while installing instead of
against the library in the buildroot. The automake patch isn't necessary
anymore as we ship automake-1.7 (and ImageMagick requires it anyway).

Comment 8 Nils Philippsen 2003-09-10 17:49:42 UTC
I've put up the packages (built on current Rawhide) on
http://lisas.de/~nils/redhat/severn/... for testing purposes. They are signed
with my GPG key (C4A894745C4CADE32B8F656D47D89B6569513011).

Comment 9 Nils Philippsen 2003-10-14 16:02:46 UTC
Packages are now at http://lisas.de/~nils/fedora/0.95/updates/ or
http://lisas.de/~nils/yum/fedora/0.95/i386/updates/ if you use yum. I've used
them for quite a while and haven't found any problems.


Note You need to log in before you can comment on or make changes to this bug.